티스토리 뷰

흠... xcode 4.0 gm 버전을 쓰다가..  시뮬레이터가 이상하게 동작해서..
3.X 버전으로 내렸더니.. 시뮬레이터가 아예 동작을 안 하게 되네요 -_-;
혹시나 해서, 폴더를 모두 지우고, 다시 xcode를 설치 했는데..
역시나.. 시뮬레이터가 동작을 안 하네요..
결국은 osx를 다시 설치하는 사태까지 벌어졌습니다.

지금은 이런 낭패를 보고 3.x대로 버전을 낮춰서 개발하고 있습니다.

소 잃고 외양간 고치는 격으로 버전 별로 설치하는 방법을 찾아서..
올립니다.

http://connect.apple.com/cgi-bin/WebObjects/MemberSite.woa/wa/downloads

애플 개발자 계정으로 로그인 한 후, 위 주소로 가셔서 옆에 보시면, Developer Tools 이라고 있습니다.
여기 보시면, xcode의 이전 버전을 받으 실 수 있습니다.

다운로드 받으신후 설치를 합니다.

설치 과정에서 Installation Type에 보시면, Location이 있습니다. 거기 밑에 Developer를 클릭하시면,


이와 같이 폴더를 선택하는 메뉴가 나옵니다. 여기서 Other를 누르시고 다른 경로를 선택해서 설치 하시면 됩니다.

예를 들면 기본은 /Developer인데.. /Developer-3.1 이런식으로 버전별로 설치 하시면 됩니다.

이걸 진작 알았으면 xcode 4.0 gm버전을 기본 경로에 설치 하지 않았을 텐데.. 흑....

다른 분들은 유용하게 사용하세요.


추가로... 기존 버전을 삭제하는 방법입니다.

sudo <Xcode>/Library/uninstall-devtools --mode=all


또 추가로.. xcode 4.0하고 xcode 3.X는 같은 맥에 깔면, 시뮬레이터나 organizer가 이상하게 동작하는 경우가 생깁니다.
두개가 너무 달라 졌나 봅니다.
위 팀은 같은 버전대에서만 하시는게 좋을 것 같습니다.
댓글
댓글쓰기 폼